Bug 1889630 - Scheduling disabled popovers are missing for Node status in Node Overview and Details pages
Summary: Scheduling disabled popovers are missing for Node status in Node Overview and...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.7.0
Assignee: Cyril
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 08:51 UTC by Cyril
Modified: 2020-10-26 19:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Node status for overview (185.63 KB, image/png)
2020-10-20 08:51 UTC, Cyril
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6961 None closed Bug 1889630: - Scheduling disabled popovers are missing for Node status in Node Overview and Details pages 2020-11-12 22:24:07 UTC

Description Cyril 2020-10-20 08:51:11 UTC
Created attachment 1722808 [details]
Node status for overview

Created attachment 1722808 [details]
Node status for overview

Description of problem:
Scheduling disabled popovers are missing for Node Ready status in Node Overview and Details pages

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Goto to Node Overview page and click on Mark as Unschedulable 
2.The secondary status appears with a warning icon below Node primary status, but the popover to change the status 'Scheduling disabled' is missing

Same steps above to reproduce for Node details page

Actual results:
The popover to change the status to 'Scheduling disabled' is missing


Expected results:
Should have a popover to change the status to 'Scheduling disabled'

Additional info:

Comment 3 Siva Reddy 2020-10-26 19:32:26 UTC
Scheduling disabled popovers are now visible for Node Ready status in Node Overview and Details pages

Version:
Cluster version is 4.7.0-0.nightly-2020-10-26-124513


Steps to Reproduce:
1.Goto to Node Overview page and click on Mark as Unschedulable 
2.The secondary status appears with a warning icon below Node primary status, but the popover to change the status 'Scheduling disabled' is now visible

Same steps above to reproduce for Node details page


The popover to change the status to 'Scheduling disabled' is now visible so moving this bug to verified state.


Note You need to log in before you can comment on or make changes to this bug.